gr::gsm::txtime_setter Class Referenceabstract

<+description of block+> More...

`#include <txtime_setter.h>`

Inheritance diagram for gr::gsm::txtime_setter:

## Public Types

typedef std::shared_ptr< txtime_setter > | sptr

## Public Member Functions

virtual void | set_fn_time_reference (uint32_t fn, uint32_t ts, uint64_t time_secs, double time_fracs)=0
virtual void | set_time_hint (uint64_t time_hint_secs, double time_hint_fracs)=0
virtual void | set_delay_correction (double delay_correction)=0
virtual void | set_timing_advance (double timing_advance)=0

## Static Public Member Functions

static sptr | make (uint32_t init_fn, uint64_t init_time_secs, double init_time_fracs, uint64_t time_hint_secs, double time_hint_fracs, double timing_advance, double delay_correction)
| Return a shared_ptr to a new instance of gsm::txtime_setter.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<txtime_setter> gr::gsm::txtime_setter::sptr

## Member Function Documentation

## make()

sptr gr::gsm::txtime_setter::make | ( | uint32_t | init_fn,
|  | uint64_t | init_time_secs,
|  | double | init_time_fracs,
|  | uint64_t | time_hint_secs,
|  | double | time_hint_fracs,
|  | double | timing_advance,
|  | double | delay_correction )

static

Return a shared_ptr to a new instance of gsm::txtime_setter.

To avoid accidental use of raw pointers, gsm::txtime_setter's constructor is in a private implementation class. gsm::txtime_setter::make is the public interface for creating new instances.

## set_delay_correction()

virtual void gr::gsm::txtime_setter::set_delay_correction | ( | double | delay_correction | ) |

pure virtual

Implemented in gr::gsm::txtime_setter_impl.

## set_fn_time_reference()

virtual void gr::gsm::txtime_setter::set_fn_time_reference | ( | uint32_t | fn,
|  | uint32_t | ts,
|  | uint64_t | time_secs,
|  | double | time_fracs )

pure virtual

Implemented in gr::gsm::txtime_setter_impl.

## set_time_hint()

virtual void gr::gsm::txtime_setter::set_time_hint | ( | uint64_t | time_hint_secs,
|  | double | time_hint_fracs )

pure virtual

Implemented in gr::gsm::txtime_setter_impl.

## set_timing_advance()

virtual void gr::gsm::txtime_setter::set_timing_advance | ( | double | timing_advance | ) |

pure virtual

Implemented in gr::gsm::txtime_setter_impl.

The documentation for this class was generated from the following file:

- txtime_setter.h